NetBSD-Bugs archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
Add an ATF test for PR 52864
The following reply was made to PR port-macppc/52864; it has been noted by GNATS.
From: venture37%geeklan.co.uk@localhost
To: gnats-bugs%NetBSD.org@localhost
Cc:
Subject: Add an ATF test for PR 52864
Date: Sun, 7 Jan 2018 20:46:56 +0000 (UTC)
>Submitter-Id: net
>Originator: Sevan Janiyan
>Organization:
>Confidential: no
>Synopsis: Add an ATF test for PR 52864
>Severity: serious
>Priority: medium
>Category: kern
>Class: sw-bug
>Release: NetBSD-HEAD
>Environment: NetBSD 8.0_BETA macppc powerpc
>Description:
Attached test exercises the bug in kLua reported as port-macppc/52864.
I have not been able to perform a full build test due to the lack of resources so It is possible I may have a step with file set lists??
Should the category for this PR be switched to the kern category as the issue was not just port-macppc specific?
>How-To-Repeat:
>Fix:
Index: distrib/sets/lists/tests/module.mi
===================================================================
RCS file: /cvsroot/src/distrib/sets/lists/tests/module.mi,v
retrieving revision 1.12
diff -u -r1.12 module.mi
--- distrib/sets/lists/tests/module.mi 23 Feb 2013 22:01:51 -0000 1.12
+++ distrib/sets/lists/tests/module.mi 7 Jan 2018 20:42:52 -0000
@@ -14,5 +14,6 @@
./usr/tests/modules/k_uvm/k_uvm.kmod tests-sys-tests atf,rump
./usr/tests/modules/t_abi_uvm tests-sys-tests atf,rump
./usr/tests/modules/t_builtin tests-sys-tests atf,rump
+./usr/tests/modules/t_klua_pr_52864 tests-sys-tests atf,rump
./usr/tests/modules/t_modctl tests-sys-tests atf,rump
./usr/tests/modules/t_modload tests-sys-tests atf,rump
Index: tests/modules/t_klua_pr_52864.sh
===================================================================
RCS file: tests/modules/t_klua_pr_52864.sh
diff -N tests/modules/t_klua_pr_52864.sh
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ tests/modules/t_klua_pr_52864.sh 7 Jan 2018 20:42:52 -0000
@@ -0,0 +1,55 @@
+#! /usr/bin/atf-sh
+# $NetBSD$
+#
+# Copyright (c) 2018 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# This code is derived from software contributed to The NetBSD Foundation
+# by Sevan Janiyan
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+atf_test_case luastate cleanup
+luastate_head() {
+ atf_set "descr" "Test that once lua(4) is loaded and a state is " \
+ "created, system does not crash when listing states" \
+ "(PR port-macppc/52864)"
+ atf_set "require.user" "root"
+}
+
+luastate_body() {
+ sysctl -q kern.lua.verbose
+ if [ $? -eq 1 ]; then
+ atf_check -s eq:0 modload lua
+ fi
+ atf_check -s eq:0 luactl -q create atfluastate
+ atf_check -s eq:0 -o ignore luactl
+}
+
+luastate_cleanup() {
+ modunload lua >/dev/null 2>&1
+}
+
+atf_init_test_cases() {
+ atf_add_test_case luastate
+}
Index: tests/modules/Makefile
===================================================================
RCS file: /cvsroot/src/tests/modules/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- tests/modules/Makefile 23 Jan 2016 21:22:49 -0000 1.12
+++ tests/modules/Makefile 7 Jan 2018 20:42:52 -0000
@@ -17,6 +17,7 @@
TESTS_SH= t_abi_uvm
TESTS_SH+= t_modload
+TESTS_SH+= t_klua_pr_52864
SUBDIR= k_helper
SUBDIR+= k_helper2
Home |
Main Index |
Thread Index |
Old Index